Bug 864677 - update to texlive-2012 leaves documentation in a rather weird state
update to texlive-2012 leaves documentation in a rather weird state
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: texlive (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-09 18:23 EDT by Michal Jaegermann
Modified: 2015-02-17 09:30 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 09:30:20 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Jaegermann 2012-10-09 18:23:12 EDT
Description of problem:

I had texlive-doc-2007 package installed, as without it a TeX installation is not that usable in a "not-a-black-box-mode".  An update to texlive-2012 removed most of it and left in place instead some 31 'texlive-*-doc' packages but without any rhyme or reason in nearly or cases.  To wit, I ened up with

texlive-booktabs-de-doc
texlive-booktabs-fr-doc (but not texlive-booktabs-doc)
texlive-gustprog-doc
texlive-microtype-de-doc (no texlive-microtype-doc)
texlive-magyar-doc
texlive-spanish-doc
texlive-tipa-de (no texlive-tipa)
a bunch of documents in Chinese ...

All in all it is hard to guess why these and not others.

OTOH to restore some semblance of sanity in this department I have to wade
through available 2102 'texlive-*-doc' packages or install all these and be
done with it.  Does not look like a good trade off either way.

Any method for an upgrade to do a better job here?

Version-Release number of selected component (if applicable):
texlive-2012-2.20120926_r27815.fc19
Comment 1 Jindrich Novy 2012-10-10 04:48:09 EDT
TeX Live 2012 is composed from schemes and collections. The original old TL2007 is obsoleted by a similar scheme to original old TeX Live and teTeX but not completely same, designed by upstream (texlive-scheme-basic, texlive-collection-latexrecommended, tex-kpathsea, tex-tetex, tex-latex), which may pull in some additional dependencies while updating from old texlive. It is not guaranteed to be 100% compatible but if in doubt, you can additionally install more complete schemes/collections such as:

texlive-collection-documentation-<language>

or

texlive-scheme-full
Comment 2 Michal Jaegermann 2012-10-10 15:09:40 EDT
(In reply to comment #1)
> TeX Live 2012 is composed from schemes and collections.

Yes, I know that.  I am trying to look at an update results from a point of view of a "normal, not too well-versed" user.   I started with, say, well-rounded TeX installation and run 'yum update' on this.  Now I ended with a close to a thousand new packages and numerous things which were there are missing and now what?  A list of related documentation packages I ended up with looks like this:

texlive-FAQ-en-doc
texlive-amslatex-primer-doc
texlive-booktabs-de-doc
texlive-booktabs-fr-doc
texlive-collection-documentation-base
texlive-collection-documentation-chinese
texlive-csquotes-de-doc
texlive-ctex-faq-doc
texlive-doc-pictex-doc
texlive-etoolbox-de-doc
texlive-gentle-doc
texlive-geometry-de-doc
texlive-gustprog-doc
texlive-latex-notes-zh-cn-doc
texlive-lshort-chinese-doc
texlive-lshort-english-doc
texlive-magyar-doc
texlive-mathmode-doc
texlive-microtype-de-doc
texlive-pst-support-doc
texlive-pstricks-tutorial-doc
texlive-pstricks_calcnotes-doc
texlive-spanish-doc
texlive-tamethebeast-doc
texlive-tds-doc
texlive-tex-refs-doc
texlive-texlive-common-doc
texlive-texlive-en-doc
texlive-texlive-zh-cn-doc
texlive-tipa-de-doc
texlive-tkz-doc

and that is it.  Some of that undoubtly useful.  Other choices look somewhat "eclectic" and surprising.  I expect that 'texlive-magyar-doc' has redeeming values but my problem is that I do not understand Hungarian and do not recall asking for that package. :-)

> you can
> additionally install more complete schemes/collections such as:
> 
> texlive-collection-documentation-<language>

Something in this update installed for me, not reading Chinese too,
texlive-collection-documentation-chinese
Luckily in this case effects of that seem to be rather limited (or this is it and there is no more Chinese documentation? I did not check).

> or
> 
> texlive-scheme-full

It is not immediately obvious what all effects of installing
'texlive-scheme-full' will be but I suspect that substantial. Oh, I know that I can recover from this update when I will add some time and work but this was not the point.
Comment 3 Fedora End Of Life 2013-04-03 11:21:07 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 5 Fedora End Of Life 2015-01-09 12:24:49 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2015-02-17 09:30:20 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.